次の方法で共有


Managed Environments - Get

コンテナー アプリのホストに使用されるマネージド環境のプロパティを取得します。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.App/managedEnvironments/{environmentName}?api-version=2026-01-01

URI パラメーター

名前 / 必須 説明
environmentName
path True

string

環境の名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

subscriptionId
path True

string

minLength: 1

ターゲット サブスクリプションの ID。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

ManagedEnvironment

[OK]

Other Status Codes

ErrorResponse

一般的なエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Get environments by name

要求のサンプル

GET https://management.azure.com/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/jlaw-demo1?api-version=2026-01-01

応答のサンプル

{
  "id": "/subscriptions/8efdecc5-919e-44eb-b179-915dca89ebf9/resourceGroups/examplerg/providers/Microsoft.App/managedEnvironments/jlaw-demo1",
  "name": "jlaw-demo1",
  "type": "Microsoft.App/managedEnvironments",
  "location": "North Central US",
  "tags": {},
  "properties": {
    "provisioningState": "Succeeded",
    "deploymentErrors": null,
    "defaultDomain": "jlaw-demo1.k4apps.io",
    "staticIp": "20.42.33.145",
    "zoneRedundant": true,
    "vnetConfiguration": {
      "infrastructureSubnetId": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/RGName/providers/Microsoft.Network/virtualNetworks/VNetName/subnets/subnetName1"
    },
    "customDomainConfiguration": {
      "customDomainVerificationId": "custom domain verification id",
      "dnsSuffix": "www.my-name.com",
      "subjectName": "CN=www.my-name.com",
      "expirationDate": "2022-11-06T04:00:00Z",
      "thumbprint": "CERTIFICATE_THUMBPRINT"
    },
    "eventStreamEndpoint": "testEndpoint",
    "workloadProfiles": [
      {
        "name": "My-GP-01",
        "workloadProfileType": "GeneralPurpose",
        "minimumCount": 3,
        "maximumCount": 12
      },
      {
        "name": "My-MO-01",
        "workloadProfileType": "MemoryOptimized",
        "minimumCount": 3,
        "maximumCount": 6
      },
      {
        "name": "My-CO-01",
        "workloadProfileType": "ComputeOptimized",
        "minimumCount": 3,
        "maximumCount": 6
      },
      {
        "name": "My-consumption-01",
        "workloadProfileType": "Consumption"
      }
    ],
    "kedaConfiguration": {
      "version": "2.8.1"
    },
    "daprConfiguration": {
      "version": "1.9"
    },
    "infrastructureResourceGroup": "capp-svc-jlaw-demo1-northcentralus",
    "peerAuthentication": {
      "mtls": {
        "enabled": true
      }
    },
    "peerTrafficConfiguration": {
      "encryption": {
        "enabled": true
      }
    },
    "ingressConfiguration": {
      "workloadProfileName": "My-CO-01",
      "terminationGracePeriodSeconds": 3600,
      "headerCountLimit": 30,
      "requestIdleTimeout": 5
    }
  }
}

定義

名前 説明
AppLogsConfiguration

アプリケーション ログの構成

CertificateKeyVaultProperties

Key Vault に格納されている証明書のプロパティ。

createdByType

リソースを作成した ID の種類。

CustomDomainConfiguration

アプリ環境カスタム ドメインの構成プロパティ

DaprConfiguration

構成プロパティ Dapr コンポーネント

Encryption

マネージド環境のピア トラフィック暗号化設定

EnvironmentProvisioningState

環境のプロビジョニング状態。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

IngressConfiguration

イングレスコンポーネントの設定 (ワークロードプロファイル、スケーリング、接続処理など)。

KedaConfiguration

構成プロパティ Keda コンポーネント

LogAnalyticsConfiguration

Log Analytics の構成は、宛先が 'log-analytics' として構成されている場合にのみ指定する必要があります

ManagedEnvironment

コンテナー アプリをホストするための環境

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

Mtls

相互 TLS 認証の構成プロパティ

PeerAuthentication

マネージド環境のピア認証設定

PeerTrafficConfiguration

マネージド環境のピア トラフィック設定

PrivateEndpoint

プライベート エンドポイント リソース。

PrivateEndpointConnection

プライベート エンドポイント接続リソース。

PrivateEndpointConnectionProvisioningState

現在のプロビジョニング状態。

PrivateEndpointServiceConnectionStatus

プライベート エンドポイント接続の状態。

PrivateLinkServiceConnectionState

サービス コンシューマーとプロバイダー間の接続の状態に関する情報のコレクション。

PublicNetworkAccess

すべてのパブリック トラフィックを許可またはブロックするプロパティ。 使用できる値: 'Enabled'、'Disabled'。

systemData

リソースの作成と最後の変更に関連するメタデータ。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

VnetConfiguration

仮想ネットワークに参加するためのアプリ環境の構成プロパティ

WorkloadProfile

コンテナー アプリの実行をスコープにするワークロード プロファイル。

AppLogsConfiguration

アプリケーション ログの構成

名前 説明
destination

string

ログの宛先は、"log-analytics"、"azure-monitor"、または "none" にすることができます

logAnalyticsConfiguration

LogAnalyticsConfiguration

Log Analytics の構成は、宛先が 'log-analytics' として構成されている場合にのみ指定する必要があります

CertificateKeyVaultProperties

Key Vault に格納されている証明書のプロパティ。

名前 説明
identity

string

Azure Key Vaultで認証するマネージド ID のリソース ID、またはシステム割り当て ID を使用するシステム。

keyVaultUrl

string (uri)

証明書を保持する Azure Key Vault シークレットを指す URL。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

CustomDomainConfiguration

アプリ環境カスタム ドメインの構成プロパティ

名前 説明
certificateKeyVaultProperties

CertificateKeyVaultProperties

Azure Key Vault に格納されている証明書。

certificatePassword

string

証明書のパスワード

certificateValue

string (byte)

PFX または PEM BLOB

customDomainVerificationId

string

ドメイン名の所有権を確認するために使用される ID

dnsSuffix

string

環境ドメインの DNS サフィックス

expirationDate

string (date-time)

証明書の有効期限。

subjectName

string

証明書のサブジェクト名。

thumbprint

string

証明書の拇印。

DaprConfiguration

構成プロパティ Dapr コンポーネント

名前 説明
version

string

Dapr のバージョン

Encryption

マネージド環境のピア トラフィック暗号化設定

名前 説明
enabled

boolean

ピア トラフィック暗号化が有効かどうかを示すブール値

EnvironmentProvisioningState

環境のプロビジョニング状態。

説明
Succeeded
Failed
Canceled
Waiting
InitializationInProgress
InfrastructureSetupInProgress
InfrastructureSetupComplete
ScheduledForDelete
UpgradeRequested
UpgradeFailed

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

IngressConfiguration

イングレスコンポーネントの設定 (ワークロードプロファイル、スケーリング、接続処理など)。

名前 説明
headerCountLimit

integer (int32)

イングレスで許可される要求あたりのヘッダーの最大数。 1 以上を指定してください。 既定値は 100 です。

requestIdleTimeout

integer (int32)

アイドル要求がタイムアウトするまでの期間 (分単位)。4 から 30 までである必要があります。 デフォルトは 4 分です。

terminationGracePeriodSeconds

integer (int32)

終了時にアクティブな接続が完了するまでの時間 (秒単位)。 0 から 3600 の範囲である必要があります。 デフォルトは 480 秒です。

workloadProfileName

string

イングレス・コンポーネントが使用するワークロード・プロファイルの名前。 必須。

KedaConfiguration

構成プロパティ Keda コンポーネント

名前 説明
version

string

ケダのバージョン

LogAnalyticsConfiguration

Log Analytics の構成は、宛先が 'log-analytics' として構成されている場合にのみ指定する必要があります

名前 説明
customerId

string

Log Analytics の顧客 ID

sharedKey

string

Log Analytics カスタマー キー

ManagedEnvironment

コンテナー アプリをホストするための環境

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

コード内のシークレットや資格情報を維持することなく、他の Azure サービスと対話するためのマネージド環境のマネージド ID。

kind

string

環境の種類。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.appLogsConfiguration

AppLogsConfiguration

ログ デーモンが構成された宛先にアプリ ログをエクスポートできるようにするクラスター構成。

properties.customDomainConfiguration

CustomDomainConfiguration

環境のカスタム ドメイン構成

properties.daprAIConnectionString

string

Application Insights connection stringサービス間通信テレメトリをエクスポートするために Dapr によって使用されます

properties.daprAIInstrumentationKey

string

Dapr がサービス間通信テレメトリをエクスポートするために使用するインストルメンテーション キーをAzure Monitorする

properties.daprConfiguration

DaprConfiguration

Dapr コンポーネントの構成。

properties.defaultDomain

string

クラスタのデフォルトドメイン名

properties.deploymentErrors

string

デプロイメントまたはデプロイメントの検証中に発生したエラー

properties.eventStreamEndpoint

string

環境のイベントストリームのエンドポイント。

properties.infrastructureResourceGroup

string

インフラストラクチャ リソースをホストするために Managed Environment 用に作成されたプラットフォームマネージド リソース グループの名前。 サブネット ID が指定されている場合、このリソース グループはサブネットと同じサブスクリプションに作成されます。

properties.ingressConfiguration

IngressConfiguration

Managed EnvironmentのIngress構成。

properties.kedaConfiguration

KedaConfiguration

Keda コンポーネントの構成。

properties.peerAuthentication

PeerAuthentication

マネージド環境のピア認証設定

properties.peerTrafficConfiguration

PeerTrafficConfiguration

マネージド環境のピア トラフィック設定

properties.privateEndpointConnections

PrivateEndpointConnection[]

リソースへのプライベート エンドポイント接続。

properties.provisioningState

EnvironmentProvisioningState

環境のプロビジョニング状態。

properties.publicNetworkAccess

PublicNetworkAccess

すべてのパブリック トラフィックを許可またはブロックするプロパティ。 使用できる値: 'Enabled'、'Disabled'。

properties.staticIp

string

環境の静的IP

properties.vnetConfiguration

VnetConfiguration

環境の Vnet 構成

properties.workloadProfiles

WorkloadProfile[]

マネージド環境用に構成されたワークロード プロファイル。

properties.zoneRedundant

boolean

このマネージド環境がゾーン冗長であるかどうか。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

名前 説明
principalId

string (uuid)

システム割り当て ID のサービス プリンシパル ID。 このプロパティは、システム割り当て ID にのみ提供されます。

tenantId

string (uuid)

システム割り当て ID のテナント ID。 このプロパティは、システム割り当て ID にのみ提供されます。

type

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned ID
リソースに関連付けられているユーザー割り当て ID のセット。 userAssignedIdentities ディクショナリ キーは、'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} という形式の ARM リソース ID になります。 ディクショナリ値は、要求内の空のオブジェクト ({}) にすることができます。

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

説明
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

Mtls

相互 TLS 認証の構成プロパティ

名前 説明
enabled

boolean

相互 TLS 認証が有効かどうかを示すブール値

PeerAuthentication

マネージド環境のピア認証設定

名前 説明
mtls

Mtls

マネージド環境の相互 TLS 認証設定

PeerTrafficConfiguration

マネージド環境のピア トラフィック設定

名前 説明
encryption

Encryption

マネージド環境のピア トラフィック暗号化設定

PrivateEndpoint

プライベート エンドポイント リソース。

名前 説明
id

string (arm-id)

プライベート エンドポイントの ARM 識別子

PrivateEndpointConnection

プライベート エンドポイント接続リソース。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

リソースの名前

properties.groupIds

string[]

プライベート エンドポイント リソースのグループ ID。

properties.privateEndpoint

PrivateEndpoint

プライベート エンドポイントのリソース。

properties.privateLinkServiceConnectionState

PrivateLinkServiceConnectionState

サービス コンシューマーとプロバイダー間の接続の状態に関する情報のコレクション。

properties.provisioningState

PrivateEndpointConnectionProvisioningState

プライベート エンドポイント接続リソースのプロビジョニング状態。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

type

string

リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"

PrivateEndpointConnectionProvisioningState

現在のプロビジョニング状態。

説明
Succeeded
Failed
Canceled
Waiting
Updating
Deleting
Pending

PrivateEndpointServiceConnectionStatus

プライベート エンドポイント接続の状態。

説明
Pending
Approved
Rejected
Disconnected

PrivateLinkServiceConnectionState

サービス コンシューマーとプロバイダー間の接続の状態に関する情報のコレクション。

名前 説明
actionsRequired

string

サービス プロバイダーの変更にコンシューマーの更新が必要かどうかを示すメッセージ。

description

string

接続の承認/拒否の理由。

status

PrivateEndpointServiceConnectionStatus

接続がサービスの所有者によって承認/拒否/削除されたかどうかを示します。

PublicNetworkAccess

すべてのパブリック トラフィックを許可またはブロックするプロパティ。 使用できる値: 'Enabled'、'Disabled'。

説明
Enabled
Disabled

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

名前 説明
clientId

string (uuid)

割り当てられた ID のクライアント ID。

principalId

string (uuid)

割り当てられた ID のプリンシパル ID。

VnetConfiguration

仮想ネットワークに参加するためのアプリ環境の構成プロパティ

名前 説明
dockerBridgeCidr

string

Docker ブリッジ、ネットワークに割り当てられた CIDR 表記 IP 範囲。 他の指定された IP 範囲と重複してはなりません。

infrastructureSubnetId

string

インフラストラクチャ コンポーネントのサブネットのリソース ID。 他の指定された IP 範囲と重複してはなりません。

internal

boolean

環境に内部ロード バランサーのみが存在することを示すブール値。 これらの環境には、パブリック静的 IP リソースがありません。 このプロパティを有効にする場合は、infrastructureSubnetId を指定する必要があります

platformReservedCidr

string

環境インフラストラクチャの IP アドレス用に予約できる CIDR 表記の IP 範囲。 他の指定された IP 範囲と重複してはなりません。

platformReservedDnsIP

string

内部 DNS サーバー用に予約される platformReservedCidr によって定義された IP 範囲の IP アドレス。

WorkloadProfile

コンテナー アプリの実行をスコープにするワークロード プロファイル。

名前 説明
maximumCount

integer (int32)

最大容量。

minimumCount

integer (int32)

最小容量。

name

string

実行するワークロードのワークロード プロファイルの種類。

workloadProfileType

string

実行するワークロードのワークロード プロファイルの種類。